GETGID(2)

NAME
getgid, getegid - get group identity

SYNOPSIS
#include <sys/types.h>
#include <unistd.h>
gid_t getgid(void)
gid_t getegid(void)

DESCRIPTION
Getgid returns the real group ID of the current process, getegid the effective group ID.

The real group ID is specified at login time.

The effective group ID is more transient, and determines additional access permission during execution of a ``set-group-ID'' process, and it is for such processes that getgid is most useful.

SEE ALSO
getuid(2), setgid(2).